
#property indicator_separate_window
#property indicator_buffers 9

#property  indicator_color1  clrYellow
#property  indicator_color2  clrRed


#property  indicator_width1  1
#property  indicator_width2  1


extern int period_1 = 13 ;
extern int period_2 = 50 ;

extern int ma_method = MODE_SMA;
extern int applied_price = PRICE_CLOSE;

double ExtMapBuffer1[];
double ExtMapBuffer2[];




//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   

         
   IndicatorShortName("movings");
   
   SetIndexLabel(0,"");
   SetIndexLabel(1,"");
   
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  int limit;
   int counted_bars=IndicatorCounted();
   
   //---- check for possible errors
   if(counted_bars<0) return(-1);
   //---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;

   //---- main loop
   for(int i=0; i<limit; i++)
   {
     double p1 = MarketInfo(NULL,MODE_POINT);
     double MA1 = iMA(NULL,0,period_1,0,ma_method,applied_price,i);
     ExtMapBuffer1[i]=MA1/p1;

     double MA2 = iMA(NULL,0,period_2,0,ma_method,applied_price,i);
     ExtMapBuffer2[i]=MA2/p1; 
     
         
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+


